#!/bin/zsh

for n in *.pdf_t ; do
	sed -e "s/THEFILE/${n%.pdf_t}/" < figurerun-in.tex > figurerun.tex
	pdflatex figurerun
	cp figurerun.pdf ${n%.pdf_t}-tex4ht.pdf
	./pdftopng.sh ${n%.pdf_t}-tex4ht.pdf ${n%.pdf_t}-tex4ht.png
	rm ${n%.pdf_t}-tex4ht.pdf
	optipng -o7 ${n%.pdf_t}-tex4ht.png
	advdef -z -4 ${n%.pdf_t}-tex4ht.png
done
